// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "UISimpleMenuItem.hpp"

using namespace Dawn;

UISimpleMenuItem::UISimpleMenuItem(std::weak_ptr<SceneItem> item) : SceneItemComponent(item) {

}

std::shared_ptr<UIComponent> UISimpleMenuItem::getComponentForHighlighting() {
  if(uiComponent == nullptr) uiComponent = item.lock()->getComponent<UIComponent>();
  return uiComponent;
}